## ttkthemes 3.1.1

=== debian/changelog ===
ttkthemes (3.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #974636)

 -- Ole Streicher <olebole@debian.org>  Mon, 16 Nov 2020 09:06:56 +0100

## ttkthemes 3.3.0

=== requirements.txt ===
pillow>=5.0.0

## ttkthemes 3.2.0

=== debian/changelog ===
ttkthemes (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 23 Nov 2020 08:26:28 +0100

=== debian/control ===
Source: ttkthemes
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pil,
               python3-pytest,
               python3-setuptools,
               python3-tk,
               xauth,
               xvfb
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/tcltk-team/ttkthemes
Vcs-Git: https://salsa.debian.org/tcltk-team/ttkthemes.git
Homepage: https://github.com/TkinterEP/ttkthemes
Rules-Requires-Root: no

Package: tcl-ttkthemes
Architecture: all
Depends: tcl,
         tk,
         ${misc:Depends}
Description: Themes for the ttk extensions for Tkinter
 This package contains a number of themes for the ttk extension for Tkinter
 by various authors. ttkthemes supports the creation of custom themes based
 upon static themes during runtime.

Package: python3-ttkthemes
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-tk,
         tcl-ttkthemes
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Section: python
Description: Themes for the ttk extensions for python3-tk
 This package contains a number of themes for the ttk extension for Tkinter
 by various authors. ttkthemes supports the creation of custom themes based
 upon static themes during runtime.
 .
 This package provides the Python 3 version.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/[vV]?(\d\S*)\.tar\.gz/ttkthemes-$1\.tar\.gz/ \
  https://github.com/TkinterEP/ttkthemes/tags .*/[vV]?(\d\S*)\.tar\.gz

## ttkthemes 3.2.2

=== debian/changelog ===
ttkthemes (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2. Rediff patches
  * Push Standards-Version to 4.5.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 16 Aug 2021 10:02:35 +0200

## ttkthemes 3.2.2+git20220101+07e6509cc6bf

=== debian/changelog ===
ttkthemes (3.2.2+git20220101+07e6509cc6bf-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot:
    - Reworked Yaru theme.
    - Fixes to the Arc and Black themes.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 07 Feb 2022 21:55:28 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-tk,
                xauth,
                xvfb
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/tcltk-team/ttkthemes
 Vcs-Git: https://salsa.debian.org/tcltk-team/ttkthemes.git
 Homepage: https://github.com/TkinterEP/ttkthemes

=== debian/tests/control ===
Test-Command: xvfb-run python3 -m pytest tests
Depends: python3-ttkthemes, python3-pytest, xauth, xvfb
Restrictions: allow-stderr

## ttkthemes 3.3.0

=== debian/changelog ===
ttkthemes (3.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + tcl-ttkthemes: Add Multi-Arch: foreign.

  [ Ole Streicher ]
  * New upstream version 3.3.0
  * Rediff patches
  * Push Standards-Version to 4.7.2, no changes needed
  * Remove Rules-Requires-Root: no, is now default
  * Build-Depend on pybuild-plugin-pyproject
  * d/watch: Update to version 5

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Nov 2025 09:33:27 +0100

ttkthemes (3.2.2+git20220101+07e6509cc6bf-2) unstable; urgency=medium

  * Remove "package require Tk 8.6" from pkgindex.tcl (Closes: #1021389)

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Oct 2022 15:19:52 +0200

=== debian/control ===
Source: ttkthemes
Standards-Version: 4.7.2
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: interpreters
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pil,
 python3-pytest,
 python3-setuptools,
 python3-tk,
 xauth,
 xvfb,
Vcs-Browser: https://salsa.debian.org/tcltk-team/ttkthemes
Vcs-Git: https://salsa.debian.org/tcltk-team/ttkthemes.git
Homepage: https://github.com/TkinterEP/ttkthemes

Package: tcl-ttkthemes
Architecture: all
Multi-Arch: foreign
Depends:
 tcl,
 tk,
 ${misc:Depends},
Description: Themes for the ttk extensions for Tkinter
 This package contains a number of themes for the ttk extension for Tkinter
 by various authors. ttkthemes supports the creation of custom themes based
 upon static themes during runtime.

Package: python3-ttkthemes
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-tk,
 tcl-ttkthemes,
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: Themes for the ttk extensions for python3-tk
 This package contains a number of themes for the ttk extension for Tkinter
 by various authors. ttkthemes supports the creation of custom themes based
 upon static themes during runtime.
 .
 This package provides the Python 3 version.

=== debian/watch ===
Version: 5
Template: Github
Owner: TkinterEP
Project: ttkthemes
